Exit 0 on success even if --never-clean is passed

Make run-test exit 0 if the test passes regardless of whether or not
the --never-clean flag is passed. Previously it would exit 1
regardless of test outcome with --never-clean.

Change-Id: I9496de4c2245e9833747a090944ad1fba95eb3c9
diff --git a/test/run-test b/test/run-test
index 2710ea3..d54ce64 100755
--- a/test/run-test
+++ b/test/run-test
@@ -908,4 +908,8 @@
 
 ) 2>&${real_stderr} 1>&2
 
-exit 1
+if [ "$never_clean" = "yes" ] && [ "$good" = "yes" ]; then
+  exit 0
+else
+  exit 1
+fi